unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private

    { Private declarations }
  public
    z,a:integer;
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
var
f:textfile;
i:integer;
s:string;
begin
assignfile(f,'test.pav');
reset(f);

memo1.text:='';
a:=a+1;
for i:=1 to 4 do
begin
  readln(f,s);
  memo1.lines.add(s);
end;


end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
i,d:integer;
f:textfile;
s:string;
begin
assignfile(f,'test.pav');
reset(f);
a:=a+1;
memo1.text:='';
for d:=1 to a-1 do
begin
for i:=1 to 4 do
  begin

    readln(f,s);
//    memo1.lines.add(s);
  end;
end;
for i:=1 to 4 do
  begin

    readln(f,s);
    memo1.lines.add(s);
  end;

if a=8 then
  begin
    memo1.text:='';
    if z<31 then
      begin
        memo1.lines.add('Вы слишком придусмотрительны чтобы ввязатся в какуюнибудь историю. И, сказать по правде вам бы лучше почаще выходить из дому.');
      end;
    if (z>30) and (z<50) then
      begin
        memo1.lines.add('Если Вы вдруг встретитесь одной темной ночью с убийцей-маньяком или сворой диких псов вы будете им достойным соперником.');
      end;
    if z>49 then
      begin
        memo1.lines.add('вы несильно дорожите своей жизнью, вы - отличная жертва, но, к сожаленью будете стерты с лица земли каким-нибудь домашним происшествием или слишком большой дозой аспирина прежде чем до вас доберутся силы мрака');
      end;
  end;
if a>9 then close;

end;

procedure TForm1.BitBtn2Click(Sender: TObject);
var
i,d:integer;
f:textfile;
s:string;
begin
assignfile(f,'test.pav');
reset(f);
a:=a+1;
z:=z+4;
memo1.text:='';
for d:=1 to a-1 do
begin
for i:=1 to 4 do
  begin

    readln(f,s);
//    memo1.lines.add(s);
  end;
end;
for i:=1 to 4 do
  begin

    readln(f,s);
    memo1.lines.add(s);
  end;

if a=8 then
  begin
    memo1.text:='';
    if z<31 then
      begin
        memo1.lines.add('Вы слишком придусмотрительны чтобы ввязатся в какуюнибудь историю. И, сказать по правде вам бы лучше почаще выходить из дому.');
      end;
    if (z>30) and (z<50) then
      begin
        memo1.lines.add('Если Вы вдруг встретитесь одной темной ночью с убийцей-маньяком или сворой диких псов вы будете им достойным соперником.');
      end;
    if z>49 then
      begin
        memo1.lines.add('вы несильно дорожите своей жизнью, вы - отличная жертва, но, к сожаленью будете стерты с лица земли каким-нибудь домашним происшествием или слишком большой дозой аспирина прежде чем до вас доберутся силы мрака');
      end;
  end;

if a>9 then close;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
var
i,d:integer;
f:textfile;
s:string;
begin
assignfile(f,'test.pav');
reset(f);
a:=a+1;
z:=z+10;
memo1.text:='';
for d:=1 to a-1 do
begin
for i:=1 to 4 do
  begin

    readln(f,s);
//    memo1.lines.add(s);
  end;
end;
for i:=1 to 4 do
  begin

    readln(f,s);
    memo1.lines.add(s);
  end;

if a=8 then
  begin
    memo1.text:='';
    if z<31 then
      begin
        memo1.lines.add('Вы слишком придусмотрительны чтобы ввязатся в какуюнибудь историю. И, сказать по правде вам бы лучше почаще выходить из дому.');
      end;
    if (z>30) and (z<50) then
      begin
        memo1.lines.add('Если Вы вдруг встретитесь одной темной ночью с убийцей-маньяком или сворой диких псов вы будете им достойным соперником.');
      end;
    if z>49 then
      begin
        memo1.lines.add('вы несильно дорожите своей жизнью, вы - отличная жертва, но, к сожаленью будете стерты с лица земли каким-нибудь домашним происшествием или слишком большой дозой аспирина прежде чем до вас доберутся силы мрака');
      end;
  end;
if a>9 then close;

end;

end.
